Subject: RE: bash problems: with cp with a for loop
From: [email-masked] (John Cook)

16 Oct 1997 02:53:33 -0700
Message-ID: <c=US%a=_%p=KLA_Instruments_%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "'gnuwin32'" <[email-masked]>

OK, I found my own problem.  I had this alias in .bashrc:

  alias ls='ls -F --color'

which I have since changed to 

  alias ls='ls -F --color=auto'

and now everything is much better.  Sorry to bother everyone...

--John

>----------
>From: 	John Cook
>Sent: 	Wednesday, October 15, 1997 3:58 PM
>To: 	'gnuwin32'
>Subject: 	bash problems: with cp with a for loop
>
>
>Hi.
>
>The following works with bash 1.14.0(5) under SCO but 
>not with bash-1.14.7(5) under gnuwin32 (i.e., the bash 
>that came with b18).  
>
>  for fname in `ls`
>  do cp $fname /tmp; done
>
>I get an error such as the following for each filename 
>`ls` spits out:
>
>  cp: Acr99.tmp: No such file or directory
>
>Can anyone tell me what I'm doing wrong or if this is a 
>known problem with gnuwin32 bash?
>
>--John
>(novice shell programmer, trying to escape from CMD.EXE)
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".